/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2007, 2008. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp. 
 *******************************************************************************/

package com.ibm.team.build.internal.client;

import com.ibm.team.build.internal.common.model.dto.IBuildResultRecord;

/**
 * A listener that will be notified when an <code>IBuildResultRecord</code> is
 * fetched from the repository.
 */
public interface IBuildResultRecordListener {
    /**
     * Records have been received. This method is called on the same thread that
     * fetched the records. Listeners must not perform long operations.
     * 
     * @param records
     *            The records received.
     */
    public void recordsReceived(IBuildResultRecord[] records);
}
