/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2007, 2013. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp. 
 *******************************************************************************/

package com.ibm.team.build.internal.client;

import org.eclipse.osgi.util.NLS;

/**
 * Localized message identifiers for the
 * <code>com.ibm.team.build.internal.client</code> package.
 */
public class Messages extends NLS {

    private static final String BUNDLE_NAME = "com.ibm.team.build.internal.client.messages"; //$NON-NLS-1$

    static {
        // initialize resource bundle
        NLS.initializeMessages(BUNDLE_NAME, Messages.class);

        // Instantiate an instance to get around code coverage limitation that
        // it can't currently exclude intentionally private constructors
        new Messages();
    }

    private Messages() {
        // Don't want any instances
    }

    /**
     * Name of the process operation used to set the last contact time on an
     * engine.
     */
    public static String TeamBuildClient_SET_LAST_CONTACT_TIME_OPERATION_NAME;
    
    /**
     * Name of the process operation used to start a build activity.
     */
    public static String AbstractTeamBuildClient_START_BUILD_ACTIVITY_OPERATION_NAME;

    /**
     * Name of the process operation used to end a build activity.
     */
    public static String AbstractTeamBuildClient_END_BUILD_ACTIVITY_OPERATION_NAME;

    /**
     * Name of the process operation used to delete a build result.
     */
    public static String AbstractTeamBuildClient_DELETE_BUILD_RESULT_OPERATION_NAME;

    /**
     * Name of the process operation used to delete a build engine.
     */
    public static String AbstractTeamBuildClient_DELETE_BUILD_ENGINE_OPERATION_NAME;

    /**
     * Name of the process operation used to delete a build definition.
     */
    public static String AbstractTeamBuildClient_DELETE_BUILD_DEFINITION_OPERATION_NAME;

    /**
     * Name of the process operation used to delete a JUnit test suite
     * contribution.
     */
    public static String AbstractTeamBuildClient_DELETE_JUNIT_TEST_SUITE_OPERATION_NAME;

    /**
     * Name of the process operation used to delete a JUnit test class.
     */
    public static String AbstractTeamBuildClient_DELETE_JUNIT_TEST_CLASS_OPERATION_NAME;

    /**
     * Name of the process operation used to delete a compile contribution.
     */
    public static String AbstractTeamBuildClient_DELETE_COMPILE_CONTRIBUTION_OPERATION_NAME;

    /**
     * Name of the process operation used to delete a compile package.
     */
    public static String AbstractTeamBuildClient_DELETE_COMPILE_PACKAGE_OPERATION_NAME;

    /**
     * Name of the process operation used to move builds items to a build folder.
     */
    public static String AbstractTeamBuildClient_MOVE_BUILD_ITEMS_TO_FOLDER_OPERATION_NAME;
    
    /**
     * Name of the process operation used to save a build result.
     */
    public static String AbstractTeamBuildClient_SAVE_BUILD_RESULT_OPERATION_NAME;

    /**
     * Name of the process operation used to save a build definition.
     */
    public static String AbstractTeamBuildClient_SAVE_BUILD_DEFINITION_OPERATION_NAME;

    /**
     * Name of the process operation used to save a build engine.
     */
    public static String AbstractTeamBuildClient_SAVE_BUILD_ENGINE_OPERATION_NAME;

    /**
     * Name of the process operation used to save a build folder.
     */
    public static String AbstractTeamBuildClient_SAVE_BUILD_FOLDER_OPERATION_NAME;
    
    /**
     * Name of the process operation used to save a build folder entry.
     */
    public static String AbstractTeamBuildClient_SAVE_BUILD_FOLDER_ENTRY_OPERATION_NAME;
    
    /**
     * Name of the process operation used to delete a build folder.
     */
    public static String AbstractTeamBuildClient_DELETE_BUILD_FOLDER_OPERATION_NAME;

    /**
     * Name of the process operation used to save a JUnit test suite
     * contribution.
     */
    public static String AbstractTeamBuildClient_SAVE_JUNIT_TEST_SUITE_OPERATION_NAME;

    /**
     * Name of the process operation used to save a JUnit test class.
     */
    public static String AbstractTeamBuildClient_SAVE_JUNIT_TEST_CLASS_OPERATION_NAME;

    /**
     * Name of the process operation used to save a compile contribution.
     */
    public static String AbstractTeamBuildClient_SAVE_COMPILE_CONTRIBUTION_OPERATION_NAME;

    /**
     * Name of the process operation used to save a compile package.
     */
    public static String AbstractTeamBuildClient_SAVE_COMPILE_PACKAGE_OPERATION_NAME;

    /**
     * Name of the process runnable used to save a build definitions with engines.
     */
    public static String TeamBuildRecordClient_SAVE_BUILD_DEFINITION_PROCESS_RUNNABLE_NAME;

    /**
     * Name of the process operation used to abandon a build.
     */
    public static String TeamBuildRequestClient_ABANDON_BUILD_OPERATION_NAME;

    /**
     * Name of the process operation used to cancel a pending build request.
     */
    public static String TeamBuildRequestClient_CANCEL_BUILD_REQUEST_OPERATION_NAME;

    /**
     * Name of the process operation used to complete a build.
     */
    public static String TeamBuildRequestClient_COMPLETE_BUILD_OPERATION_NAME;

    /**
     * Name of the process operation used to get the next build request.
     */
    public static String TeamBuildRequestClient_GET_NEXT_REQUEST_OPERATION_NAME;

    /**
     * Name of the process operation used to request a build.
     */
    public static String TeamBuildRequestClient_REQUEST_BUILD_OPERATION_NAME;

    /**
     * Name of the process operation used to start a build.
     */
    public static String TeamBuildRequestClient_START_BUILD_OPERATION_NAME;

}
