/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2008. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp. 
 *******************************************************************************/

package com.ibm.team.build.internal.client.iterator;

import org.eclipse.osgi.util.NLS;

import com.ibm.team.build.client.iterator.IBuildResultRecordIterator;

/**
 * Localized message identifiers for the
 * <code>com.ibm.team.build.internal.client.iterator</code> package.
 */
public class Messages extends NLS {

    private static final String BUNDLE_NAME = "com.ibm.team.build.internal.client.iterator.messages"; //$NON-NLS-1$

    static {
        // initialize resource bundle

        NLS.initializeMessages(BUNDLE_NAME, Messages.class);
        // Instantiate an instance to get around code coverage limitation that
        // it can't currently exclude intentionally private constructors
        new Messages();
    }

    private Messages() {
        // Don't want any public instances.
    }

    /**
     * Message indicating an attempt was made to indicate through the more build
     * result records in one invocation of
     * {@link IBuildResultRecordIterator#next(int, org.eclipse.core.runtime.IProgressMonitor) than is allowed.}
     */
    public static String BuildResultRecordIterator_MAX_RECORD_ITERATION_EXCEEDED;

}
